Package com.ocient.jdbc.proto

# Interface PlanProtocol.OperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.Operator`, `PlanProtocol.Operator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.OperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.AggregationOperator` | `getAggregationOperator()` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.AggregationOperatorOrBuilder` | `getAggregationOperatorOrBuilder()` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.AvgColSizeVirtualOperator` | `getAvgColSizeVirtualOperator()` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`PlanProtocol.AvgColSizeVirtualOperatorOrBuilder` | `getAvgColSizeVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`int` | `getBranchIndex()` | `uint32 branch_index = 23;`
`PlanProtocol.BroadcastOperator` | `getBroadcastOperator()` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`PlanProtocol.BroadcastOperatorOrBuilder` | `getBroadcastOperatorOrBuilder()` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`int` | `getChildIndex()` | these are calculated by level-1(sql-node) vm compilation process
`PlanProtocol.Operator` | `getChildren​(int index)` | The children of this operator - order does matter
`int` | `getChildrenCount()` | The children of this operator - order does matter
`List<PlanProtocol.Operator>` | `getChildrenList()` | The children of this operator - order does matter
`PlanProtocol.OperatorOrBuilder` | `getChildrenOrBuilder​(int index)` | The children of this operator - order does matter
`List<? extends PlanProtocol.OperatorOrBuilder>` | `getChildrenOrBuilderList()` | The children of this operator - order does matter
`long` | `getColCard​(int index)` | The estimated # of unique values for each col (in the same order)
`int` | `getColCardCount()` | The estimated # of unique values for each col (in the same order)
`List<Long>` | `getColCardList()` | The estimated # of unique values for each col (in the same order)
`PlanProtocol.ColCardVirtualOperator` | `getColCardVirtualOperator()` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.ColCardVirtualOperatorOrBuilder` | `getColCardVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.ColDistVirtualOperator` | `getColDistVirtualOperator()` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`PlanProtocol.ColDistVirtualOperatorOrBuilder` | `getColDistVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`int` | `getColSizes​(int index)` | the average size of each output column
`int` | `getColSizesCount()` | the average size of each output column
`List<Integer>` | `getColSizesList()` | the average size of each output column
`PlanProtocol.ColumnEmitterOperator` | `getColumnEmitterOperator()` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`PlanProtocol.ColumnEmitterOperatorOrBuilder` | `getColumnEmitterOperatorOrBuilder()` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`double` | `getCost()` | The cost for this operator as determined by the optimizer
`long` | `getDistanceFromLeaf()` | `uint64 distance_from_leaf = 21;`
`PlanProtocol.EosOperator` | `getEosOperator()` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.EosOperatorOrBuilder` | `getEosOperatorOrBuilder()` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.ErrorOperator` | `getErrorOperator()` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`PlanProtocol.ErrorOperatorOrBuilder` | `getErrorOperatorOrBuilder()` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`int` | `getErrorPartition​(int index)` | errorPartition = UNIT_MAX => apply the error on all partitions
`int` | `getErrorPartitionCount()` | errorPartition = UNIT_MAX => apply the error on all partitions
`List<Integer>` | `getErrorPartitionList()` | errorPartition = UNIT_MAX => apply the error on all partitions
`int` | `getErrorTktLevel​(int index)` | 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`int` | `getErrorTktLevelCount()` | 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`List<Integer>` | `getErrorTktLevelList()` | 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`PlanProtocol.Operator.ErrorType` | `getErrorType()` | `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`int` | `getErrorTypeValue()` | `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`PlanProtocol.ExceptOperator` | `getExceptOperator()` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.ExceptOperatorOrBuilder` | `getExceptOperatorOrBuilder()` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.ExtendOperator` | `getExtendOperator()` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`PlanProtocol.ExtendOperatorOrBuilder` | `getExtendOperatorOrBuilder()` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`boolean` | `getExternal()` | If true, the operator should run externally
`PlanProtocol.GatherOperator` | `getGatherOperator()` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.GatherOperatorOrBuilder` | `getGatherOperatorOrBuilder()` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.GdcLookupOperator` | `getGdcLookupOperator()` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.GdcLookupOperatorOrBuilder` | `getGdcLookupOperatorOrBuilder()` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.GenerateOperator` | `getGenerateOperator()` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.GenerateOperatorOrBuilder` | `getGenerateOperatorOrBuilder()` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.HashJoinOperator` | `getHashJoinOperator()` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`PlanProtocol.HashJoinOperatorOrBuilder` | `getHashJoinOperatorOrBuilder()` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`String` | `getId()` | The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`com.google.protobuf.ByteString` | `getIdBytes()` | The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`PlanProtocol.IncrementingBigIntOperator` | `getIncrementingBigintOperator()` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.IncrementingBigIntOperatorOrBuilder` | `getIncrementingBigintOperatorOrBuilder()` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.IncrementingIntOperator` | `getIncrementingIntOperator()` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.IncrementingIntOperatorOrBuilder` | `getIncrementingIntOperatorOrBuilder()` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.IndexAggOperator` | `getIndexAggOperator()` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.IndexAggOperatorOrBuilder` | `getIndexAggOperatorOrBuilder()` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.IndexCountStarOperator` | `getIndexCountStarOperator()` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.IndexCountStarOperatorOrBuilder` | `getIndexCountStarOperatorOrBuilder()` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.IndexDistinctOperator` | `getIndexDistinctOperator()` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.IndexDistinctOperatorOrBuilder` | `getIndexDistinctOperatorOrBuilder()` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.IndexOperator` | `getIndexOperator()` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.IndexOperatorOrBuilder` | `getIndexOperatorOrBuilder()` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.IntersectOperator` | `getIntersectOperator()` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.IntersectOperatorOrBuilder` | `getIntersectOperatorOrBuilder()` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.LimitOperator` | `getLimitOperator()` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.LimitOperatorOrBuilder` | `getLimitOperatorOrBuilder()` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.MakeVectorOperator` | `getMakeVectorOperator()` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.MakeVectorOperatorOrBuilder` | `getMakeVectorOperatorOrBuilder()` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.MatrixExtendOperator` | `getMatrixExtendOperator()` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`PlanProtocol.MatrixExtendOperatorOrBuilder` | `getMatrixExtendOperatorOrBuilder()` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`long` | `getMemoryUsage()` | The estimated number of bytes of memory needed by this operator (may be zero)
`PlanProtocol.ModifySchemaOperator` | `getModifySchemaOperator()` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`PlanProtocol.ModifySchemaOperatorOrBuilder` | `getModifySchemaOperatorOrBuilder()` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`int` | `getNumDistinctParents()` | `uint32 numDistinctParents = 20;`
`int` | `getNumParents()` | `uint32 numParents = 14;`
`PlanProtocol.OffsetOperator` | `getOffsetOperator()` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.OffsetOperatorOrBuilder` | `getOffsetOperatorOrBuilder()` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.OrderedAggOperator` | `getOrderedAggOperator()` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.OrderedAggOperatorOrBuilder` | `getOrderedAggOperatorOrBuilder()` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.OrderedDistinctOperator` | `getOrderedDistinctOperator()` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.OrderedDistinctOperatorOrBuilder` | `getOrderedDistinctOperatorOrBuilder()` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.OrderedGatherOperator` | `getOrderedGatherOperator()` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`PlanProtocol.OrderedGatherOperatorOrBuilder` | `getOrderedGatherOperatorOrBuilder()` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`long` | `getOutputCardinality()` | The estimated number of rows produced by this operator
`String` | `getOutputColumns​(int index)` | The columns that come out of this operator
`com.google.protobuf.ByteString` | `getOutputColumnsBytes​(int index)` | The columns that come out of this operator
`int` | `getOutputColumnsCount()` | The columns that come out of this operator
`List<String>` | `getOutputColumnsList()` | The columns that come out of this operator
`boolean` | `getOutputIsNullable​(int index)` | Which output columns are nullable?
`int` | `getOutputIsNullableCount()` | Which output columns are nullable?
`List<Boolean>` | `getOutputIsNullableList()` | Which output columns are nullable?
`PlanProtocol.SqlColType` | `getOutputTypes​(int index)` | The types for each of those columns (in the same order)
`int` | `getOutputTypesCount()` | The types for each of those columns (in the same order)
`List<PlanProtocol.SqlColType>` | `getOutputTypesList()` | The types for each of those columns (in the same order)
`String` | `getOutputTypeStrings​(int index)` | The types for each of those columns as strings (in the same order)
`com.google.protobuf.ByteString` | `getOutputTypeStringsBytes​(int index)` | The types for each of those columns as strings (in the same order)
`int` | `getOutputTypeStringsCount()` | The types for each of those columns as strings (in the same order)
`List<String>` | `getOutputTypeStringsList()` | The types for each of those columns as strings (in the same order)
`int` | `getOutputTypesValue​(int index)` | The types for each of those columns (in the same order)
`List<Integer>` | `getOutputTypesValueList()` | The types for each of those columns (in the same order)
`int` | `getPartitionCounts​(int index)` | `repeated uint32 partition_counts = 25;`
`int` | `getPartitionCountsCount()` | `repeated uint32 partition_counts = 25;`
`List<Integer>` | `getPartitionCountsList()` | `repeated uint32 partition_counts = 25;`
`int` | `getPartitionIndex()` | `uint32 partition_index = 24;`
`PlanProtocol.EquivalentPartitioning` | `getPartitioning​(int index)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`int` | `getPartitioningCount()` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`List<PlanProtocol.EquivalentPartitioning>` | `getPartitioningList()` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.EquivalentPartitioningOrBuilder` | `getPartitioningOrBuilder​(int index)` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`List<? extends PlanProtocol.EquivalentPartitioningOrBuilder>` | `getPartitioningOrBuilderList()` | If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.ProductOperator` | `getProductOperator()` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.ProductOperatorOrBuilder` | `getProductOperatorOrBuilder()` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.ProjectOutOperator` | `getProjectOutOperator()` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.ProjectOutOperatorOrBuilder` | `getProjectOutOperatorOrBuilder()` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.QueriesVirtualOperator` | `getQueriesVirtualOperator()` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.QueriesVirtualOperatorOrBuilder` | `getQueriesVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.RandomIntOperator` | `getRandomIntOperator()` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.RandomIntOperatorOrBuilder` | `getRandomIntOperatorOrBuilder()` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.ReferenceOperator` | `getReferenceOperator()` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.ReferenceOperatorOrBuilder` | `getReferenceOperatorOrBuilder()` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.RenameOperator` | `getRenameOperator()` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.RenameOperatorOrBuilder` | `getRenameOperatorOrBuilder()` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.ReorderOperator` | `getReorderOperator()` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.ReorderOperatorOrBuilder` | `getReorderOperatorOrBuilder()` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.Operator.RequestOneofCase` | `getRequestOneofCase()` |
`PlanProtocol.RootOperator` | `getRootOperator()` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.RootOperatorOrBuilder` | `getRootOperatorOrBuilder()` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.SelectOperator` | `getSelectOperator()` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.SelectOperatorOrBuilder` | `getSelectOperatorOrBuilder()` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.ShuffleOperator` | `getShuffleOperator()` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`PlanProtocol.ShuffleOperatorOrBuilder` | `getShuffleOperatorOrBuilder()` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`boolean` | `getSortDirections​(int index)` | For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`int` | `getSortDirectionsCount()` | For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`List<Boolean>` | `getSortDirectionsList()` | For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`boolean` | `getSortNullsFirst​(int index)` | If there is a sort order are nulls first? (or last)
`int` | `getSortNullsFirstCount()` | If there is a sort order are nulls first? (or last)
`List<Boolean>` | `getSortNullsFirstList()` | If there is a sort order are nulls first? (or last)
`PlanProtocol.SortOperator` | `getSortOperator()` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`PlanProtocol.SortOperatorOrBuilder` | `getSortOperatorOrBuilder()` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`int` | `getSortOrder​(int index)` | If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`int` | `getSortOrderCount()` | If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`List<Integer>` | `getSortOrderList()` | If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`String` | `getStorageSpaceUuids​(int index)` | `repeated string storage_space_uuids = 26;`
`com.google.protobuf.ByteString` | `getStorageSpaceUuidsBytes​(int index)` | `repeated string storage_space_uuids = 26;`
`int` | `getStorageSpaceUuidsCount()` | `repeated string storage_space_uuids = 26;`
`List<String>` | `getStorageSpaceUuidsList()` | `repeated string storage_space_uuids = 26;`
`PlanProtocol.SuperSelectOperator` | `getSuperSelectOperator()` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.SuperSelectOperatorOrBuilder` | `getSuperSelectOperatorOrBuilder()` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.SwitchOperator` | `getSwitchOperator()` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.SwitchOperatorOrBuilder` | `getSwitchOperatorOrBuilder()` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.SystemConfigurationVirtualOperator` | `getSystemConfigurationVirtualOperator()` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder` | `getSystemConfigurationVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.TableCardVirtualOperator` | `getTableCardVirtualOperator()` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.TableCardVirtualOperatorOrBuilder` | `getTableCardVirtualOperatorOrBuilder()` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.TableScanOperator` | `getTableScanOperator()` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.TableScanOperatorOrBuilder` | `getTableScanOperatorOrBuilder()` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.TeeOperator` | `getTeeOperator()` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`PlanProtocol.TeeOperatorOrBuilder` | `getTeeOperatorOrBuilder()` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`long` | `getTestoomflags​(int index)` | Vector of OOM flags for testing
`int` | `getTestoomflagsCount()` | Vector of OOM flags for testing
`List<Long>` | `getTestoomflagsList()` | Vector of OOM flags for testing
`PlanProtocol.Operator.OperatorType` | `getType()` | `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`int` | `getTypeValue()` | `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`PlanProtocol.UnionOperator` | `getUnionOperator()` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.UnionOperatorOrBuilder` | `getUnionOperatorOrBuilder()` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.UnmakeVectorOperator` | `getUnmakeVectorOperator()` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`PlanProtocol.UnmakeVectorOperatorOrBuilder` | `getUnmakeVectorOperatorOrBuilder()` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`boolean` | `getUpstreamPartitionSensitive()` | value 28 is used up above under outputTypeStrings value 29 is used above
`PlanProtocol.WindowOperator` | `getWindowOperator()` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`PlanProtocol.WindowOperatorOrBuilder` | `getWindowOperatorOrBuilder()` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`boolean` | `hasAggregationOperator()` | `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`boolean` | `hasAvgColSizeVirtualOperator()` | `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`boolean` | `hasBroadcastOperator()` | `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`boolean` | `hasColCardVirtualOperator()` | `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`boolean` | `hasColDistVirtualOperator()` | `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`boolean` | `hasColumnEmitterOperator()` | `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`boolean` | `hasEosOperator()` | `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`boolean` | `hasErrorOperator()` | `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`boolean` | `hasExceptOperator()` | `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`boolean` | `hasExtendOperator()` | `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`boolean` | `hasGatherOperator()` | `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`boolean` | `hasGdcLookupOperator()` | `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`boolean` | `hasGenerateOperator()` | `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`boolean` | `hasHashJoinOperator()` | `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`boolean` | `hasIncrementingBigintOperator()` | `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`boolean` | `hasIncrementingIntOperator()` | `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`boolean` | `hasIndexAggOperator()` | `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`boolean` | `hasIndexCountStarOperator()` | `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`boolean` | `hasIndexDistinctOperator()` | `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`boolean` | `hasIndexOperator()` | `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`boolean` | `hasIntersectOperator()` | `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`boolean` | `hasLimitOperator()` | `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`boolean` | `hasMakeVectorOperator()` | `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`boolean` | `hasMatrixExtendOperator()` | `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`boolean` | `hasModifySchemaOperator()` | `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`boolean` | `hasOffsetOperator()` | `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`boolean` | `hasOrderedAggOperator()` | `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`boolean` | `hasOrderedDistinctOperator()` | `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`boolean` | `hasOrderedGatherOperator()` | `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`boolean` | `hasProductOperator()` | `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`boolean` | `hasProjectOutOperator()` | `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`boolean` | `hasQueriesVirtualOperator()` | `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`boolean` | `hasRandomIntOperator()` | `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`boolean` | `hasReferenceOperator()` | `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`boolean` | `hasRenameOperator()` | `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`boolean` | `hasReorderOperator()` | `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`boolean` | `hasRootOperator()` | `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`boolean` | `hasSelectOperator()` | `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`boolean` | `hasShuffleOperator()` | `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`boolean` | `hasSortOperator()` | `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`boolean` | `hasSuperSelectOperator()` | `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`boolean` | `hasSwitchOperator()` | `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`boolean` | `hasSystemConfigurationVirtualOperator()` | `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`boolean` | `hasTableCardVirtualOperator()` | `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`boolean` | `hasTableScanOperator()` | `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`boolean` | `hasTeeOperator()` | `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`boolean` | `hasUnionOperator()` | `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`boolean` | `hasUnmakeVectorOperator()` | `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`boolean` | `hasWindowOperator()` | `.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getTypeValue

int getTypeValue()
`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

### getType

PlanProtocol.Operator.OperatorType getType()
`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

### getId

String getId()

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

### getIdBytes

com.google.protobuf.ByteString getIdBytes()

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

### getChildrenList

List<PlanProtocol.Operator> getChildrenList()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### getChildren

PlanProtocol.Operator getChildren​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### getChildrenCount

int getChildrenCount()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### getChildrenOrBuilderList

List<? extends PlanProtocol.OperatorOrBuilder> getChildrenOrBuilderList()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### getChildrenOrBuilder

PlanProtocol.OperatorOrBuilder getChildrenOrBuilder​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

### getOutputColumnsList

List<String> getOutputColumnsList()

    The columns that come out of this operator

`repeated string outputColumns = 4;`

### getOutputColumnsCount

int getOutputColumnsCount()

    The columns that come out of this operator

`repeated string outputColumns = 4;`

### getOutputColumns

String getOutputColumns​(int index)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

### getOutputColumnsBytes

com.google.protobuf.ByteString getOutputColumnsBytes​(int index)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

### getOutputTypesList

List<PlanProtocol.SqlColType> getOutputTypesList()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### getOutputTypesCount

int getOutputTypesCount()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### getOutputTypes

PlanProtocol.SqlColType getOutputTypes​(int index)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### getOutputTypesValueList

List<Integer> getOutputTypesValueList()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### getOutputTypesValue

int getOutputTypesValue​(int index)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

### getOutputTypeStringsList

List<String> getOutputTypeStringsList()

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

### getOutputTypeStringsCount

int getOutputTypeStringsCount()

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

### getOutputTypeStrings

String getOutputTypeStrings​(int index)

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

### getOutputTypeStringsBytes

com.google.protobuf.ByteString getOutputTypeStringsBytes​(int index)

    The types for each of those columns as strings (in the same order)

`repeated string outputTypeStrings = 28;`

### getColCardList

List<Long> getColCardList()

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

### getColCardCount

int getColCardCount()

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

### getColCard

long getColCard​(int index)

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

### getOutputCardinality

long getOutputCardinality()

    The estimated number of rows produced by this operator

`uint64 outputCardinality = 7;`

### getMemoryUsage

long getMemoryUsage()

    The estimated number of bytes of memory needed by this operator (may be zero)

`uint64 memoryUsage = 8;`

### getCost

double getCost()

    The cost for this operator as determined by the optimizer

`double cost = 9;`

### getSortOrderList

List<Integer> getSortOrderList()

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

### getSortOrderCount

int getSortOrderCount()

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

### getSortOrder

int getSortOrder​(int index)

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

### getSortDirectionsList

List<Boolean> getSortDirectionsList()

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

### getSortDirectionsCount

int getSortDirectionsCount()

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

### getSortDirections

boolean getSortDirections​(int index)

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

### getSortNullsFirstList

List<Boolean> getSortNullsFirstList()

    If there is a sort order are nulls first? (or last)

`repeated bool sortNullsFirst = 29;`

### getSortNullsFirstCount

int getSortNullsFirstCount()

    If there is a sort order are nulls first? (or last)

`repeated bool sortNullsFirst = 29;`

### getSortNullsFirst

boolean getSortNullsFirst​(int index)

    If there is a sort order are nulls first? (or last)

`repeated bool sortNullsFirst = 29;`

### getPartitioningList

List<PlanProtocol.EquivalentPartitioning> getPartitioningList()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### getPartitioning

PlanProtocol.EquivalentPartitioning getPartitioning​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### getPartitioningCount

int getPartitioningCount()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### getPartitioningOrBuilderList

List<? extends PlanProtocol.EquivalentPartitioningOrBuilder> getPartitioningOrBuilderList()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### getPartitioningOrBuilder

PlanProtocol.EquivalentPartitioningOrBuilder getPartitioningOrBuilder​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

### getOutputIsNullableList

List<Boolean> getOutputIsNullableList()

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

### getOutputIsNullableCount

int getOutputIsNullableCount()

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

### getOutputIsNullable

boolean getOutputIsNullable​(int index)

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

### getNumParents

int getNumParents()
`uint32 numParents = 14;`

### getColSizesList

List<Integer> getColSizesList()

    the average size of each output column

`repeated uint32 colSizes = 15;`

### getColSizesCount

int getColSizesCount()

    the average size of each output column

`repeated uint32 colSizes = 15;`

### getColSizes

int getColSizes​(int index)

    the average size of each output column

`repeated uint32 colSizes = 15;`

### getErrorTypeValue

int getErrorTypeValue()
`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

### getErrorType

PlanProtocol.Operator.ErrorType getErrorType()
`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

### getErrorPartitionList

List<Integer> getErrorPartitionList()

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

### getErrorPartitionCount

int getErrorPartitionCount()

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

### getErrorPartition

int getErrorPartition​(int index)

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

### getErrorTktLevelList

List<Integer> getErrorTktLevelList()

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

### getErrorTktLevelCount

int getErrorTktLevelCount()

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

### getErrorTktLevel

int getErrorTktLevel​(int index)

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

### getExternal

boolean getExternal()

    If true, the operator should run externally

`bool external = 19;`

### getNumDistinctParents

int getNumDistinctParents()
`uint32 numDistinctParents = 20;`

### getDistanceFromLeaf

long getDistanceFromLeaf()
`uint64 distance_from_leaf = 21;`

### getChildIndex

int getChildIndex()

     these are calculated by level-1(sql-node) vm compilation process

`uint32 child_index = 22;`

### getBranchIndex

int getBranchIndex()
`uint32 branch_index = 23;`

### getPartitionIndex

int getPartitionIndex()
`uint32 partition_index = 24;`

### getPartitionCountsList

List<Integer> getPartitionCountsList()
`repeated uint32 partition_counts = 25;`

### getPartitionCountsCount

int getPartitionCountsCount()
`repeated uint32 partition_counts = 25;`

### getPartitionCounts

int getPartitionCounts​(int index)
`repeated uint32 partition_counts = 25;`

### getStorageSpaceUuidsList

List<String> getStorageSpaceUuidsList()
`repeated string storage_space_uuids = 26;`

### getStorageSpaceUuidsCount

int getStorageSpaceUuidsCount()
`repeated string storage_space_uuids = 26;`

### getStorageSpaceUuids

String getStorageSpaceUuids​(int index)
`repeated string storage_space_uuids = 26;`

### getStorageSpaceUuidsBytes

com.google.protobuf.ByteString getStorageSpaceUuidsBytes​(int index)
`repeated string storage_space_uuids = 26;`

### getUpstreamPartitionSensitive

boolean getUpstreamPartitionSensitive()

     value 28 is used up above under outputTypeStrings
     value 29 is used above

`bool upstream_partition_sensitive = 27;`

### hasAggregationOperator

boolean hasAggregationOperator()
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

### getAggregationOperator

PlanProtocol.AggregationOperator getAggregationOperator()
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

### getAggregationOperatorOrBuilder

PlanProtocol.AggregationOperatorOrBuilder getAggregationOperatorOrBuilder()
`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

### hasExtendOperator

boolean hasExtendOperator()
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

### getExtendOperator

PlanProtocol.ExtendOperator getExtendOperator()
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

### getExtendOperatorOrBuilder

PlanProtocol.ExtendOperatorOrBuilder getExtendOperatorOrBuilder()
`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

### hasGatherOperator

boolean hasGatherOperator()
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

### getGatherOperator

PlanProtocol.GatherOperator getGatherOperator()
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

### getGatherOperatorOrBuilder

PlanProtocol.GatherOperatorOrBuilder getGatherOperatorOrBuilder()
`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

### hasIndexOperator

boolean hasIndexOperator()
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

### getIndexOperator

PlanProtocol.IndexOperator getIndexOperator()
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

### getIndexOperatorOrBuilder

PlanProtocol.IndexOperatorOrBuilder getIndexOperatorOrBuilder()
`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

### hasLimitOperator

boolean hasLimitOperator()
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

### getLimitOperator

PlanProtocol.LimitOperator getLimitOperator()
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

### getLimitOperatorOrBuilder

PlanProtocol.LimitOperatorOrBuilder getLimitOperatorOrBuilder()
`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

### hasOffsetOperator

boolean hasOffsetOperator()
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

### getOffsetOperator

PlanProtocol.OffsetOperator getOffsetOperator()
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

### getOffsetOperatorOrBuilder

PlanProtocol.OffsetOperatorOrBuilder getOffsetOperatorOrBuilder()
`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

### hasOrderedGatherOperator

boolean hasOrderedGatherOperator()
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

### getOrderedGatherOperator

PlanProtocol.OrderedGatherOperator getOrderedGatherOperator()
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

### getOrderedGatherOperatorOrBuilder

PlanProtocol.OrderedGatherOperatorOrBuilder getOrderedGatherOperatorOrBuilder()
`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

### hasProjectOutOperator

boolean hasProjectOutOperator()
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

### getProjectOutOperator

PlanProtocol.ProjectOutOperator getProjectOutOperator()
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

### getProjectOutOperatorOrBuilder

PlanProtocol.ProjectOutOperatorOrBuilder getProjectOutOperatorOrBuilder()
`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

### hasRenameOperator

boolean hasRenameOperator()
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

### getRenameOperator

PlanProtocol.RenameOperator getRenameOperator()
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

### getRenameOperatorOrBuilder

PlanProtocol.RenameOperatorOrBuilder getRenameOperatorOrBuilder()
`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

### hasReorderOperator

boolean hasReorderOperator()
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

### getReorderOperator

PlanProtocol.ReorderOperator getReorderOperator()
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

### getReorderOperatorOrBuilder

PlanProtocol.ReorderOperatorOrBuilder getReorderOperatorOrBuilder()
`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

### hasSelectOperator

boolean hasSelectOperator()
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

### getSelectOperator

PlanProtocol.SelectOperator getSelectOperator()
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

### getSelectOperatorOrBuilder

PlanProtocol.SelectOperatorOrBuilder getSelectOperatorOrBuilder()
`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

### hasSortOperator

boolean hasSortOperator()
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

### getSortOperator

PlanProtocol.SortOperator getSortOperator()
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

### getSortOperatorOrBuilder

PlanProtocol.SortOperatorOrBuilder getSortOperatorOrBuilder()
`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

### hasRootOperator

boolean hasRootOperator()
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

### getRootOperator

PlanProtocol.RootOperator getRootOperator()
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

### getRootOperatorOrBuilder

PlanProtocol.RootOperatorOrBuilder getRootOperatorOrBuilder()
`.xg.db.sqlPlans.RootOperator root_operator = 44;`

### hasMakeVectorOperator

boolean hasMakeVectorOperator()
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

### getMakeVectorOperator

PlanProtocol.MakeVectorOperator getMakeVectorOperator()
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

### getMakeVectorOperatorOrBuilder

PlanProtocol.MakeVectorOperatorOrBuilder getMakeVectorOperatorOrBuilder()
`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

### hasUnmakeVectorOperator

boolean hasUnmakeVectorOperator()
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

### getUnmakeVectorOperator

PlanProtocol.UnmakeVectorOperator getUnmakeVectorOperator()
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

### getUnmakeVectorOperatorOrBuilder

PlanProtocol.UnmakeVectorOperatorOrBuilder getUnmakeVectorOperatorOrBuilder()
`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

### hasMatrixExtendOperator

boolean hasMatrixExtendOperator()
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

### getMatrixExtendOperator

PlanProtocol.MatrixExtendOperator getMatrixExtendOperator()
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

### getMatrixExtendOperatorOrBuilder

PlanProtocol.MatrixExtendOperatorOrBuilder getMatrixExtendOperatorOrBuilder()
`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

### hasTableScanOperator

boolean hasTableScanOperator()
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

### getTableScanOperator

PlanProtocol.TableScanOperator getTableScanOperator()
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

### getTableScanOperatorOrBuilder

PlanProtocol.TableScanOperatorOrBuilder getTableScanOperatorOrBuilder()
`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

### hasIncrementingIntOperator

boolean hasIncrementingIntOperator()
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

### getIncrementingIntOperator

PlanProtocol.IncrementingIntOperator getIncrementingIntOperator()
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

### getIncrementingIntOperatorOrBuilder

PlanProtocol.IncrementingIntOperatorOrBuilder getIncrementingIntOperatorOrBuilder()
`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

### hasGenerateOperator

boolean hasGenerateOperator()
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

### getGenerateOperator

PlanProtocol.GenerateOperator getGenerateOperator()
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

### getGenerateOperatorOrBuilder

PlanProtocol.GenerateOperatorOrBuilder getGenerateOperatorOrBuilder()
`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

### hasSuperSelectOperator

boolean hasSuperSelectOperator()
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

### getSuperSelectOperator

PlanProtocol.SuperSelectOperator getSuperSelectOperator()
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

### getSuperSelectOperatorOrBuilder

PlanProtocol.SuperSelectOperatorOrBuilder getSuperSelectOperatorOrBuilder()
`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

### hasQueriesVirtualOperator

boolean hasQueriesVirtualOperator()
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

### getQueriesVirtualOperator

PlanProtocol.QueriesVirtualOperator getQueriesVirtualOperator()
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

### getQueriesVirtualOperatorOrBuilder

PlanProtocol.QueriesVirtualOperatorOrBuilder getQueriesVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

### hasRandomIntOperator

boolean hasRandomIntOperator()
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

### getRandomIntOperator

PlanProtocol.RandomIntOperator getRandomIntOperator()
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

### getRandomIntOperatorOrBuilder

PlanProtocol.RandomIntOperatorOrBuilder getRandomIntOperatorOrBuilder()
`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

### hasColumnEmitterOperator

boolean hasColumnEmitterOperator()
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

### getColumnEmitterOperator

PlanProtocol.ColumnEmitterOperator getColumnEmitterOperator()
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

### getColumnEmitterOperatorOrBuilder

PlanProtocol.ColumnEmitterOperatorOrBuilder getColumnEmitterOperatorOrBuilder()
`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

### hasUnionOperator

boolean hasUnionOperator()
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

### getUnionOperator

PlanProtocol.UnionOperator getUnionOperator()
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

### getUnionOperatorOrBuilder

PlanProtocol.UnionOperatorOrBuilder getUnionOperatorOrBuilder()
`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

### hasIntersectOperator

boolean hasIntersectOperator()
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

### getIntersectOperator

PlanProtocol.IntersectOperator getIntersectOperator()
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

### getIntersectOperatorOrBuilder

PlanProtocol.IntersectOperatorOrBuilder getIntersectOperatorOrBuilder()
`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

### hasExceptOperator

boolean hasExceptOperator()
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

### getExceptOperator

PlanProtocol.ExceptOperator getExceptOperator()
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

### getExceptOperatorOrBuilder

PlanProtocol.ExceptOperatorOrBuilder getExceptOperatorOrBuilder()
`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

### hasSwitchOperator

boolean hasSwitchOperator()
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

### getSwitchOperator

PlanProtocol.SwitchOperator getSwitchOperator()
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

### getSwitchOperatorOrBuilder

PlanProtocol.SwitchOperatorOrBuilder getSwitchOperatorOrBuilder()
`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

### hasProductOperator

boolean hasProductOperator()
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

### getProductOperator

PlanProtocol.ProductOperator getProductOperator()
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

### getProductOperatorOrBuilder

PlanProtocol.ProductOperatorOrBuilder getProductOperatorOrBuilder()
`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

### hasHashJoinOperator

boolean hasHashJoinOperator()
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

### getHashJoinOperator

PlanProtocol.HashJoinOperator getHashJoinOperator()
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

### getHashJoinOperatorOrBuilder

PlanProtocol.HashJoinOperatorOrBuilder getHashJoinOperatorOrBuilder()
`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

### hasEosOperator

boolean hasEosOperator()
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

### getEosOperator

PlanProtocol.EosOperator getEosOperator()
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

### getEosOperatorOrBuilder

PlanProtocol.EosOperatorOrBuilder getEosOperatorOrBuilder()
`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

### hasTeeOperator

boolean hasTeeOperator()
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

### getTeeOperator

PlanProtocol.TeeOperator getTeeOperator()
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

### getTeeOperatorOrBuilder

PlanProtocol.TeeOperatorOrBuilder getTeeOperatorOrBuilder()
`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

### hasShuffleOperator

boolean hasShuffleOperator()
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

### getShuffleOperator

PlanProtocol.ShuffleOperator getShuffleOperator()
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

### getShuffleOperatorOrBuilder

PlanProtocol.ShuffleOperatorOrBuilder getShuffleOperatorOrBuilder()
`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

### hasBroadcastOperator

boolean hasBroadcastOperator()
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

### getBroadcastOperator

PlanProtocol.BroadcastOperator getBroadcastOperator()
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

### getBroadcastOperatorOrBuilder

PlanProtocol.BroadcastOperatorOrBuilder getBroadcastOperatorOrBuilder()
`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

### hasWindowOperator

boolean hasWindowOperator()
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### getWindowOperator

PlanProtocol.WindowOperator getWindowOperator()
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### getWindowOperatorOrBuilder

PlanProtocol.WindowOperatorOrBuilder getWindowOperatorOrBuilder()
`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### hasErrorOperator

boolean hasErrorOperator()
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

### getErrorOperator

PlanProtocol.ErrorOperator getErrorOperator()
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

### getErrorOperatorOrBuilder

PlanProtocol.ErrorOperatorOrBuilder getErrorOperatorOrBuilder()
`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

### hasIndexAggOperator

boolean hasIndexAggOperator()
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

### getIndexAggOperator

PlanProtocol.IndexAggOperator getIndexAggOperator()
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

### getIndexAggOperatorOrBuilder

PlanProtocol.IndexAggOperatorOrBuilder getIndexAggOperatorOrBuilder()
`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

### hasOrderedAggOperator

boolean hasOrderedAggOperator()
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

### getOrderedAggOperator

PlanProtocol.OrderedAggOperator getOrderedAggOperator()
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

### getOrderedAggOperatorOrBuilder

PlanProtocol.OrderedAggOperatorOrBuilder getOrderedAggOperatorOrBuilder()
`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

### hasIndexDistinctOperator

boolean hasIndexDistinctOperator()
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

### getIndexDistinctOperator

PlanProtocol.IndexDistinctOperator getIndexDistinctOperator()
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

### getIndexDistinctOperatorOrBuilder

PlanProtocol.IndexDistinctOperatorOrBuilder getIndexDistinctOperatorOrBuilder()
`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

### hasOrderedDistinctOperator

boolean hasOrderedDistinctOperator()
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

### getOrderedDistinctOperator

PlanProtocol.OrderedDistinctOperator getOrderedDistinctOperator()
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

### getOrderedDistinctOperatorOrBuilder

PlanProtocol.OrderedDistinctOperatorOrBuilder getOrderedDistinctOperatorOrBuilder()
`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

### hasIncrementingBigintOperator

boolean hasIncrementingBigintOperator()
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

### getIncrementingBigintOperator

PlanProtocol.IncrementingBigIntOperator getIncrementingBigintOperator()
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

### getIncrementingBigintOperatorOrBuilder

PlanProtocol.IncrementingBigIntOperatorOrBuilder getIncrementingBigintOperatorOrBuilder()
`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

### hasIndexCountStarOperator

boolean hasIndexCountStarOperator()
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

### getIndexCountStarOperator

PlanProtocol.IndexCountStarOperator getIndexCountStarOperator()
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

### getIndexCountStarOperatorOrBuilder

PlanProtocol.IndexCountStarOperatorOrBuilder getIndexCountStarOperatorOrBuilder()
`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

### hasGdcLookupOperator

boolean hasGdcLookupOperator()
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

### getGdcLookupOperator

PlanProtocol.GdcLookupOperator getGdcLookupOperator()
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

### getGdcLookupOperatorOrBuilder

PlanProtocol.GdcLookupOperatorOrBuilder getGdcLookupOperatorOrBuilder()
`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

### hasReferenceOperator

boolean hasReferenceOperator()
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

### getReferenceOperator

PlanProtocol.ReferenceOperator getReferenceOperator()
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

### getReferenceOperatorOrBuilder

PlanProtocol.ReferenceOperatorOrBuilder getReferenceOperatorOrBuilder()
`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

### hasModifySchemaOperator

boolean hasModifySchemaOperator()
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

### getModifySchemaOperator

PlanProtocol.ModifySchemaOperator getModifySchemaOperator()
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

### getModifySchemaOperatorOrBuilder

PlanProtocol.ModifySchemaOperatorOrBuilder getModifySchemaOperatorOrBuilder()
`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

### hasSystemConfigurationVirtualOperator

boolean hasSystemConfigurationVirtualOperator()
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

### getSystemConfigurationVirtualOperator

PlanProtocol.SystemConfigurationVirtualOperator getSystemConfigurationVirtualOperator()
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

### getSystemConfigurationVirtualOperatorOrBuilder

PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder getSystemConfigurationVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

### hasTableCardVirtualOperator

boolean hasTableCardVirtualOperator()
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

### getTableCardVirtualOperator

PlanProtocol.TableCardVirtualOperator getTableCardVirtualOperator()
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

### getTableCardVirtualOperatorOrBuilder

PlanProtocol.TableCardVirtualOperatorOrBuilder getTableCardVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

### hasColCardVirtualOperator

boolean hasColCardVirtualOperator()
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

### getColCardVirtualOperator

PlanProtocol.ColCardVirtualOperator getColCardVirtualOperator()
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

### getColCardVirtualOperatorOrBuilder

PlanProtocol.ColCardVirtualOperatorOrBuilder getColCardVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

### hasAvgColSizeVirtualOperator

boolean hasAvgColSizeVirtualOperator()
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

### getAvgColSizeVirtualOperator

PlanProtocol.AvgColSizeVirtualOperator getAvgColSizeVirtualOperator()
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

### getAvgColSizeVirtualOperatorOrBuilder

PlanProtocol.AvgColSizeVirtualOperatorOrBuilder getAvgColSizeVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

### hasColDistVirtualOperator

boolean hasColDistVirtualOperator()
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

### getColDistVirtualOperator

PlanProtocol.ColDistVirtualOperator getColDistVirtualOperator()
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

### getColDistVirtualOperatorOrBuilder

PlanProtocol.ColDistVirtualOperatorOrBuilder getColDistVirtualOperatorOrBuilder()
`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

### getTestoomflagsList

List<Long> getTestoomflagsList()

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

### getTestoomflagsCount

int getTestoomflagsCount()

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

### getTestoomflags

long getTestoomflags​(int index)

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

### getRequestOneofCase

PlanProtocol.Operator.RequestOneofCase getRequestOneofCase()